/**
 * Specifies the popup kind for [aria-haspopup](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-haspopup).
 */
export declare enum PopupKind {
    /** The popup is a menu. */
    MENU = "menu",
    /** The popup is a listbox. */
    LISTBOX = "listbox",
    /** The popup is a tree. */
    TREE = "tree",
    /** The popup is a grid. */
    GRID = "grid",
    /** The popup is a dialog. */
    DIALOG = "dialog"
}
